import React, { Fragment } from 'react';
import { useComponentMap } from '../../providers/ComponentMap/index.js';
import { useTranslation } from '../../providers/Translation/index.js';
const css = `
  .graphic-icon {
    width: 18px;
    height: 18px;
  }

  .graphic-icon path {
    fill: var(--theme-elevation-1000);
  }

  @media (max-width: 768px) {
    .graphic-icon {
      width: 16px;
      height: 16px;
    }
  }
`;
const PayloadIcon = ()=>{
    const { t } = useTranslation();
    return /*#__PURE__*/ React.createElement("span", {
        title: t('general:dashboard')
    }, /*#__PURE__*/ React.createElement("svg", {
        className: "graphic-icon",
        height: "100%",
        viewBox: "0 0 25 25",
        width: "100%",
        xmlns: "http://www.w3.org/2000/svg"
    }, /*#__PURE__*/ React.createElement("style", null, css), /*#__PURE__*/ React.createElement("path", {
        d: "M11.5293 0L23 6.90096V19.9978L14.3608 25V11.9032L2.88452 5.00777L11.5293 0Z"
    }), /*#__PURE__*/ React.createElement("path", {
        d: "M10.6559 24.2727V14.0518L2 19.0651L10.6559 24.2727Z"
    })));
};
export const Icon = ()=>{
    const { componentMap: { Icon: CustomIcon } } = useComponentMap();
    if (CustomIcon) {
        return /*#__PURE__*/ React.createElement(Fragment, null, CustomIcon);
    }
    return /*#__PURE__*/ React.createElement(PayloadIcon, null);
};

//# sourceMappingURL=index.js.map