import React from 'react';
import { mapCollections } from './collections.js';
import { mapGlobals } from './globals.js';
export const buildComponentMap = (args)=>{
    const { DefaultEditView, DefaultListView, children, config, readOnly } = args;
    const collections = mapCollections({
        DefaultEditView,
        DefaultListView,
        collections: config.collections,
        config,
        readOnly
    });
    const globals = mapGlobals({
        DefaultEditView,
        config,
        globals: config.globals,
        readOnly
    });
    const NestProviders = ({ children, providers })=>{
        const Component = providers[0];
        if (providers.length > 1) {
            return /*#__PURE__*/ React.createElement(Component, null, /*#__PURE__*/ React.createElement(NestProviders, {
                providers: providers.slice(1)
            }, children));
        }
        return /*#__PURE__*/ React.createElement(Component, null, children);
    };
    const LogoutButtonComponent = config.admin?.components?.logout?.Button;
    const LogoutButton = LogoutButtonComponent ? /*#__PURE__*/ React.createElement(LogoutButtonComponent, null) : null;
    const IconComponent = config.admin?.components?.graphics?.Icon;
    const Icon = IconComponent ? /*#__PURE__*/ React.createElement(IconComponent, null) : null;
    return {
        componentMap: {
            Icon,
            LogoutButton,
            actions: config.admin?.components?.actions?.map((Component)=>/*#__PURE__*/ React.createElement(Component, null)),
            collections,
            globals
        },
        wrappedChildren: Array.isArray(config.admin?.components?.providers) && config.admin?.components?.providers.length > 0 ? /*#__PURE__*/ React.createElement(NestProviders, {
            providers: config.admin?.components?.providers
        }, children) : children
    };
};

//# sourceMappingURL=index.js.map