import { format, formatDistanceToNow } from 'date-fns';
import { getDateLocale } from './getDateLocale.js';
export const formatDate = (date, pattern, locale)=>{
    const theDate = new Date(date);
    const { localeData } = getDateLocale(locale);
    return format(theDate, pattern, {
        locale: localeData
    });
};
export const formatTimeToNow = (date, locale)=>{
    const theDate = new Date(date);
    const { localeData } = getDateLocale(locale);
    return formatDistanceToNow(theDate, {
        locale: localeData
    });
};

//# sourceMappingURL=formatDate.js.map